com.creamtec.ajaxswing

## Class ServletHelper.InProcessClientAgent

- java.lang.Object
- - com.creamtec.ajaxswing.core.ClientAgent
  - - com.creamtec.ajaxswing.rendering.html.HTMLClientAgent
    - - com.creamtec.ajaxswing.ServletHelper.InProcessClientAgent

- All Implemented Interfaces:
    ClientAgentRemote, java.rmi.Remote
  Enclosing class:
    ServletHelper

      public static class ServletHelper.InProcessClientAgent
      extends HTMLClientAgent

  Declare this class to resolve classpath to the application classes. Otherwise bootclasspath doesn't work

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.creamtec.ajaxswing.core.ClientAgent

      `ClientAgent.InitLock, ClientAgent.OperationLock, ClientAgent.RequestLock`

  - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.core.ClientAgent

      `commonClassLoader, shuttingDown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletHelper.InProcessClientAgent(java.lang.String appName)`

  - ### Method Summary

    - ### Methods inherited from class com.creamtec.ajaxswing.rendering.html.HTMLClientAgent

      `addDirtyComponentStates, ping, processHttpRequest, renderWindows, renderWindowsOrRedirect, setShouldChangeSessionId, shouldChangeSessionId`

    - ### Methods inherited from class com.creamtec.ajaxswing.core.ClientAgent

      `addBlockedThread, addDownloadFileName, addFastSubmitHandler, addKeepAliveEventHandler, addURLParamHandler, allowDownload, allowExit, appendJavaScript, beginOperation, checkAndMonitorAsynchronousUpdates, clearAppendJavaScript, clearUrlForOpenInNewTab, denyDownload, denyDownload, doRun, endOperation, endOperation, exit, getAjaxSwingThreadGroup, getAppendJavaScript, getAppName, getBrowserID, getBrowserLocale, getBrowserVersion, getClassLoader, getClientId, getClipboard, getComponentProperty, getCsrfToken, getCurrentInstance, getDownloadFileNames, getEndOperationOnModalDialog, getEventQueue, getException, getExitPage, getFocusManager, getFontCalibrationData, getHTMLPage, getHTMLPageWait, getInitData, getLastKeepAliveEvent, getMaximumWindowSize, getMenuSelectionManager, getMouseGrabber, getOperationLock, getPageRenderer, getProps, getRepaintManager, getRequestData, getRequestFilter, getRequestId, getResponseData, getSchedulingEventQueue, getSession, getSessionTimeout, getShortFileName, getTempFiles, getTimeZone, getTimeZoneCurrentOffset, getTimeZoneRawOffset, getTimeZoneUseDaylight, getUIManager, getUpdateBrowserInterval, getUrlForOpenInNewTab, getUserLocale, getWindowProperty, getWindowProperty, getWindowsForRendering, getWindowUpdater, init, initProperties, installExitTrap, installGraphicsEnvironmentProperties, installToolkit, isApplet, isBrowserIE, isDownloadAllowed, isFocusChangeAllowed, isGraphicsEnvironmentPropertiesInstalled, isOperationActive, isRequestActive, isRunning, isToolkitInstalled, monitorAsynchronousUpdates, monitorAsynchronousUpdates, openInNewTab, print, removeBlockedThread, removeDownloadFileName, removeFastSubmitHandler, removeKeepAliveEventHandler, removeURLParamHandler, runApp, setAllowExit, setBrowserLocale, setClientSize, setException, setExitPage, setFocusChangeAllowed, setFocusManager, setFontCalibrationData, setHTMLPage, setMouseGrabber, setRequestData, setResponseData, setSessionTimeout, setUpdateBrowser, setUpdateBrowserInterval, setUserLocale, shouldUpdateBrowser, shutdown, waitForBlockedThreads`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletHelper.InProcessClientAgent

          public ServletHelper.InProcessClientAgent(java.lang.String appName)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.